components:
  schemas:
    DeltaCustomDownloadRequest:
      properties:
        deltaId:
          type: string
        featuretypes:
          items:
            enum:
            - bak
            - begroeidterreindeel
            - bord
            - buurt
            - functioneelgebied
            - gebouwinstallatie
            - installatie
            - kast
            - kunstwerkdeel
            - mast
            - onbegroeidterreindeel
            - ondersteunendwaterdeel
            - ondersteunendwegdeel
            - ongeclassificeerdobject
            - openbareruimte
            - openbareruimtelabel
            - overbruggingsdeel
            - overigbouwwerk
            - overigescheiding
            - paal
            - pand
            - plaatsbepalingspunt
            - put
            - scheiding
            - sensor
            - spoor
            - stadsdeel
            - straatmeubilair
            - tunneldeel
            - vegetatieobject
            - waterdeel
            - waterinrichtingselement
            - waterschap
            - wegdeel
            - weginrichtingselement
            - wijk
            type: string
          minItems: 1
          type: array
          uniqueItems: true
        format:
          enum:
          - citygml
          type: string
        geofilter:
          type: string
      required:
      - format
      - featuretypes
      type: object
    FullCustomDownloadRequest:
      properties:
        featuretypes:
          items:
            enum:
            - bak
            - begroeidterreindeel
            - bord
            - buurt
            - functioneelgebied
            - gebouwinstallatie
            - installatie
            - kast
            - kunstwerkdeel
            - mast
            - onbegroeidterreindeel
            - ondersteunendwaterdeel
            - ondersteunendwegdeel
            - ongeclassificeerdobject
            - openbareruimte
            - openbareruimtelabel
            - overbruggingsdeel
            - overigbouwwerk
            - overigescheiding
            - paal
            - pand
            - plaatsbepalingspunt
            - put
            - scheiding
            - sensor
            - spoor
            - stadsdeel
            - straatmeubilair
            - tunneldeel
            - vegetatieobject
            - waterdeel
            - waterinrichtingselement
            - waterschap
            - wegdeel
            - weginrichtingselement
            - wijk
            type: string
          minItems: 1
          type: array
          uniqueItems: true
        format:
          enum:
          - citygml
          - gmllight
          - stufgeo
          type: string
        geofilter:
          type: string
      required:
      - format
      - featuretypes
      type: object
    HalLink:
      properties:
        href:
          type: string
        rel:
          type: string
        type:
          type: string
      required:
      - href
      type: object
    delta:
      properties:
        id:
          readOnly: true
          type: string
        timeWindow:
          properties:
            from:
              format: date-time
              readOnly: true
              type: string
            to:
              format: date-time
              readOnly: true
              type: string
          readOnly: true
          required:
          - to
          type: object
      type: object
    timeliness:
      properties:
        datetimeTo:
          readOnly: true
          type: string
        featuretype:
          enum:
          - bak
          - begroeidterreindeel
          - bord
          - buurt
          - functioneelgebied
          - gebouwinstallatie
          - installatie
          - kast
          - kunstwerkdeel
          - mast
          - onbegroeidterreindeel
          - ondersteunendwaterdeel
          - ondersteunendwegdeel
          - ongeclassificeerdobject
          - openbareruimte
          - openbareruimtelabel
          - overbruggingsdeel
          - overigbouwwerk
          - overigescheiding
          - paal
          - pand
          - plaatsbepalingspunt
          - put
          - scheiding
          - sensor
          - spoor
          - stadsdeel
          - straatmeubilair
          - tunneldeel
          - vegetatieobject
          - waterdeel
          - waterinrichtingselement
          - waterschap
          - wegdeel
          - weginrichtingselement
          - wijk
          readOnly: true
          type: string
      type: object
info:
  description: |
    Met deze API is het mogelijk om gegevens uit de BGT dataset te downloaden. Deze BGT-gegevens zijn te downloaden voor
    gebruik in eigen GIS-software. De BGT-gegevens zijn als extract in GML of GML-light  of Stuf-geo formaat te downloaden.

    Dit document bevat alleen informatie m.b.t. het gebruik van deze API.
    De BGT-modeldocumentatie (IMGEO) met bijbehorend schema(xsd) en beschrijvingen van de download formaten kun je vinden op:
    [https://www.geonovum.nl/geo-standaarden/bgt-imgeo](https://www.geonovum.nl/geo-standaarden/bgt-imgeo).

    Een stappenplan voor het downloaden via deze API staat [hier](https://www.pdok.nl/documents/1901824/4016976/Stappenplan_PDOK_download_APIs.pdf) beschreven.

    Hieronder worden eerst een aantal algemene begrippen en concepten uitgelegd.
    Vervolgens wordt elk endpoint individueel beschreven.

    ## Full
    Met de full endpoints Predefined en Custom kan de meest actuele stand gedownload worden.

    ### Predefined
    Een full predefined download is direct beschikbaar om te downloaden,
    is niet gefilterd op gebied en is niet gefilterd op featuretype.

    ### Custom
    Bij een custom download wordt een aanvraag gedaan waarin specifieke filters worden opgegeven m.b.t. de
    gewenste inhoud van de bestanden.
    De aanvraag wordt asynchroon behandeld op de server en de status van de aanvraag kan opgevraagd worden.
    Nadat de aanvraag voorbereid is op de server, kan het bestand gedownload worden.

    #### Filters
    ##### Geofilter
    In het request voor een Custom download kan (optioneel) een geofilter meegegeven worden.
    De waarde van dit geofilter moet voldoen aan het
    [Well-known text (WKT)](https://en.wikipedia.org/wiki/Well-known_text_representation_of_geometry) formaat.
    Alleen Polygon en MultiPolygon objecten zijn hierbij toegestaan, bovendien worden inner rings niet ondersteund.
    De coördinaten worden geïnterpreteerd volgens EPSG:28992.

    Dit geofilter limiteert het gebied waarvoor gegevens in de download wordt opgenomen,
    maar het filter is niet exact. Dat betekent dat de download een overshoot aan objecten
    buiten de selectie kan bevatten.

    ##### Featuretypes
    In het request voor een Custom download moet (verplicht) opgegeven worden welke featuretypes
    in de download opgenomen moeten worden.

    ## Delta
    Delta endpoints zijn ervoor om eenmalig je eigen administratie op te bouwen (initiële levering) en
    deze periodiek bij te werken met de beschikbare wijzigingen.

    ### Werkwijze
    1. Een beginstand wordt gedownload met het Delta Custom of Delta Predefined endpoint,
    door deze aan te roepen zonder parameter delta-id.
    De download bevat informatie over welke delta-id het betreft.
    2. Periodiek (bij voorkeur dagelijks) wordt het Delta endpoint aangeroepen om de delta-id's op te halen
    welke sinds de bij stap 1 bepaalde delta-id zijn ontstaan.
    3. Voor elke delta-id die in stap 2 gevonden wordt, wordt het Delta Custom of Delta Predefined endpoint
    aangeroepen met parameter delta-id.
    De inhoud van deze downloads bevat alleen de mutaties die hebben plaatsgevonden in die betreffende delta.

    ### Predefined
    De opzet is hier gelijk aan de full predefined downloads. Echter
    kan aan het delta endpoint in het request optioneel de parameter delta-id worden opgegeven,
    zie stap 1 en 3 onder werkwijze.

    ### Custom
    De opzet is hier gelijk aan de full custom downloads. Echter
    kan aan het delta endpoint in het request optioneel de parameter delta-id worden opgegeven,
    zie stap 1 en 3 onder werkwijze.
  title: BGT Download API
  version: v1
openapi: 3.0.0
paths:
  /dataset:
    get:
      operationId: GetDataset
      responses:
        "200":
          content:
            application/json:
              example: |
                "timeliness": [
                {
                  "featuretype": "bak",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "begroeidterreindeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "bord",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "buurt",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "functioneelgebied",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "gebouwinstallatie",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "installatie",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "kast",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "kunstwerkdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "mast",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "onbegroeidterreindeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "ondersteunendwaterdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "ondersteunendwegdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "ongeclassificeerdobject",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "openbareruimte",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "openbareruimtelabel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "overbruggingsdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "overigbouwwerk",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "overigescheiding",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "paal",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "pand",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "plaatsbepalingspunt",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "put",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "scheiding",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "sensor",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "spoor",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "stadsdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "straatmeubilair",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "tunneldeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "vegetatieobject",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "waterdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "waterinrichtingselement",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "waterschap",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "wegdeel",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "weginrichtingselement",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                },
                {
                  "featuretype": "wijk",
                  "datetimeTo": "2019-01-01T00:00:00Z"
                }
                ]
              schema:
                properties:
                  timeliness:
                    description: |
                      Lijst met actualiteit per featuretype. Het datum tijd formaat is ISO 8601 en altijd in UTC.
                    items:
                      $ref: '#/components/schemas/timeliness'
                    type: array
                required:
                - timeliness
                type: object
          description: OK
        "500":
          description: Interne server fout
      summary: Dit endpoint voorziet in metadata over de BGT dataset downloads
      tags:
      - Dataset
  /delta:
    get:
      operationId: GetDeltas
      parameters:
      - description: |
          Als deze parameter wordt meegegeven, dan bevat het resultaat alleen delta's die later in de tijd zijn ontstaan dan de opgegeven delta-id. Als deze parameter niet wordt meegegeven, dan bevat het resultaat alle bekende delta-id's.
        in: query
        name: after-delta-id
        schema:
          type: string
      - description: |
          Paginanummer voor paginering. Default: 1
        in: query
        name: page
        schema:
          type: integer
      - description: |
          Aantal resultaten per pagina. Default: 10
        in: query
        name: count
        schema:
          type: integer
      responses:
        "200":
          content:
            application/json:
              example:
                _links:
                - href: delta?page=1&count=3
                  rel: prev
                  type: application/json
                - href: delta?page=3&count=3
                  rel: next
                  type: application/json
                deltas:
                - id: 7df9d862-1e6c-4859-a561-62f9b96826ec
                  timeWindow:
                    from: "2019-01-01T00:00:00Z"
                    to: "2019-01-02T00:00:00Z"
                - id: 76d1597d-dd9b-4ec0-9dad-116795794c4f
                  timeWindow:
                    from: "2019-01-02T00:00:00Z"
                    to: "2019-01-03T00:00:00Z"
                - id: e198078f-40ca-4943-9b0e-f66854164a94
                  timeWindow:
                    from: "2019-01-03T00:00:00Z"
                    to: "2019-01-04T00:00:00Z"
              schema:
                properties:
                  _links:
                    description: Relatieve links naar volgende / vorige pagina's (indien
                      van toepassing)
                    items:
                      $ref: '#/components/schemas/HalLink'
                    type: array
                  deltas:
                    description: Lijst met delta's. De lijst is gesorteerd in oplopende
                      volgorde (oudste eerst)
                    items:
                      $ref: '#/components/schemas/delta'
                    type: array
                required:
                - deltas
                - _links
                type: object
          description: OK
        "500":
          description: Interne server fout
      summary: Met dit endpoint kan een gesorteerde lijst van delta-id's opgehaald
        worden.
      tags:
      - Delta
  /delta/custom:
    post:
      operationId: DeltaCustomDownload
      requestBody:
        content:
          application/json:
            example:
              featuretypes:
              - bak
              - gebouwinstallatie
              - kunstwerkdeel
              - onbegroeidterreindeel
              format: citygml
              geofilter: POLYGON((211417.92 475752.4800000001,212390.64000000004 475896.12,212916.48000000004
                475818.84,212879.52000000005 475360.2,212950.08000000002 475203.12,212839.2
                475065.36,212819.04 474981.36,212819.04 474877.2,212772 474857.04,212792.16
                474769.68,212832.48 474705.84,212889.6 474695.76,213010.56000000003
                474685.68,213044.16 474611.76,213030.72 474450.48,212637.6 474423.6,212708.16
                473956.56,211122.24000000002 473849.04,210453.6 473896.08,210315.84000000003
                473970,211417.92 475752.4800000001))
            schema:
              $ref: '#/components/schemas/DeltaCustomDownloadRequest'
        description: |
          JSON object waarin staat gespecificeerd welke informatie de download moet bevatten.
          Als het verzoek geen deltaId bevat, dan zal de download de meest recente initiële levering bevatten.
          Als het verzoek wel een deltaId bevat, dan zal de download alleen de wijzigingen bevatten uit de opgegeven delta.
        required: true
      responses:
        "202":
          content:
            application/json:
              example:
                _links:
                  status:
                    href: /lv/bgt/download/v1_0/full/delta/09bf3690-e0a1-43cc-7550-f689936d374d/status
                downloadRequestId: 09bf3690-e0a1-43cc-7550-f689936d374d
              schema:
                properties:
                  _links:
                    properties:
                      status:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path naar het endpoint waarop de status
                          van de aanvraag opgehaald kan worden
                    type: object
                  downloadRequestId:
                    description: ID van het gemaakte download request
                    type: string
                required:
                - downloadRequestId
                - _links
                type: object
          description: |
            Verzoek geaccepteerd
        "500":
          description: Interne server fout
      summary: Met dit endpoint kan een delta custom download aangevraagd worden
      tags:
      - Delta Custom
  /delta/custom/{downloadRequestId}/status:
    get:
      operationId: DeltaCustomDownloadStatus
      parameters:
      - in: path
        name: downloadRequestId
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              example:
                _links:
                  self:
                    href: /lv/bgt/download/v1_0/full/delta/09bf3690-e0a1-43cc-7550-f689936d374d/status
                progress: 23
                status: RUNNING
              schema:
                properties:
                  _links:
                    properties:
                      self:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path naar het endpoint waarop de status
                          van de aanvraag opgehaald kan worden
                    type: object
                  progress:
                    type: integer
                  status:
                    enum:
                    - PENDING
                    - RUNNING
                    type: string
                required:
                - status
                - progress
                - _links
                type: object
          description: Delta custom download nog niet gereed
        "201":
          content:
            application/json:
              example:
                _links:
                  download:
                    href: /lv/bgt/download/v1_0/extract/72f0d5d6-d34c-439b-a115-b53811aa8a72/extract.zip
                progress: 100
                status: COMPLETED
              schema:
                properties:
                  _links:
                    properties:
                      download:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path waarop het bestand gedownload kan
                          worden
                    type: object
                  progress:
                    type: integer
                  status:
                    enum:
                    - COMPLETED
                    type: string
                required:
                - status
                - progress
                - _links
                type: object
          description: Het bestand is gereed om te downloaden
        "404":
          description: Delta custom download request met het gegeven ID is niet bij
            ons bekend
        "500":
          description: Interne server fout
      summary: Dit endpoint geeft de status terug van een aangevraagde delta custom
        download
      tags:
      - Delta Custom
  /delta/predefined/bgt-citygml-nl-delta.zip:
    get:
      operationId: GetDeltaPredefinedGmlNl
      parameters:
      - description: |
          Als het verzoek geen deltaId bevat, dan zal de download de meeste recente initiële levering bevatten. Als het verzoek wel een deltaId bevat, dan zal de download alleen de wijzigingen bevatten uit de opgegeven delta.
        in: query
        name: delta-id
        schema:
          type: string
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path waarop het bestand gedownload kan worden
        "404":
          description: Not found
      summary: |
        Met dit endpoint kan een delta download gestart worden waarbij geen filters zijn toegepast op type feature of gebied
      tags:
      - Delta Predefined
  /full/custom:
    options:
      operationId: FullCustomDownloadCORS
      responses:
        "204":
          description: Standaard response
      summary: De OPTIONS methode is beschikbaar voor de CORS preflight check
      tags:
      - Full Custom
    post:
      operationId: FullCustomDownload
      requestBody:
        content:
          application/json:
            example:
              featuretypes:
              - bak
              - gebouwinstallatie
              - kunstwerkdeel
              - onbegroeidterreindeel
              format: citygml
              geofilter: POLYGON((211417.92 475752.4800000001,212390.64000000004 475896.12,212916.48000000004
                475818.84,212879.52000000005 475360.2,212950.08000000002 475203.12,212839.2
                475065.36,212819.04 474981.36,212819.04 474877.2,212772 474857.04,212792.16
                474769.68,212832.48 474705.84,212889.6 474695.76,213010.56000000003
                474685.68,213044.16 474611.76,213030.72 474450.48,212637.6 474423.6,212708.16
                473956.56,211122.24000000002 473849.04,210453.6 473896.08,210315.84000000003
                473970,211417.92 475752.4800000001))
            schema:
              $ref: '#/components/schemas/FullCustomDownloadRequest'
        description: JSON object waarin staat gespecificeerd welke informatie de download
          moet bevatten
        required: true
      responses:
        "202":
          content:
            application/json:
              example:
                _links:
                  status:
                    href: /lv/bgt/download/v1_0/full/custom/09bf3690-e0a1-43cc-7550-f689936d374d/status
                downloadRequestId: 09bf3690-e0a1-43cc-7550-f689936d374d
              schema:
                properties:
                  _links:
                    properties:
                      status:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path naar het endpoint waarop de status
                          van de aanvraag opgehaald kan worden
                    type: object
                  downloadRequestId:
                    description: ID van het gemaakte download request
                    type: string
                required:
                - downloadRequestId
                - _links
                type: object
          description: |
            Verzoek geaccepteerd
        "500":
          description: Interne server fout
      summary: Met dit endpoint kan een full custom download aangevraagd worden
      tags:
      - Full Custom
  /full/custom/{downloadRequestId}/status:
    get:
      operationId: FullCustomDownloadStatus
      parameters:
      - in: path
        name: downloadRequestId
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              example:
                _links:
                  self:
                    href: /lv/bgt/download/v1_0/full/custom/09bf3690-e0a1-43cc-7550-f689936d374d/status
                progress: 23
                status: RUNNING
              schema:
                properties:
                  _links:
                    properties:
                      self:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path naar het endpoint waarop de status
                          van de aanvraag opgehaald kan worden
                    type: object
                  progress:
                    type: integer
                  status:
                    enum:
                    - PENDING
                    - RUNNING
                    type: string
                required:
                - status
                - progress
                - _links
                type: object
          description: Full custom download nog niet gereed
        "201":
          content:
            application/json:
              example:
                _links:
                  download:
                    href: /lv/bgt/download/v1_0/extract/72f0d5d6-d34c-439b-a115-b53811aa8a72/extract.zip
                progress: 100
                status: COMPLETED
              schema:
                properties:
                  _links:
                    properties:
                      download:
                        allOf:
                        - $ref: '#/components/schemas/HalLink'
                        description: Absolute path waarop het bestand gedownload kan
                          worden
                    type: object
                  progress:
                    type: integer
                  status:
                    enum:
                    - COMPLETED
                    type: string
                required:
                - status
                - progress
                - _links
                type: object
          description: Het bestand is gereed om te downloaden
        "404":
          description: Full custom download request met het gegeven ID is niet bij
            ons bekend
        "429":
          description: Te veel requests in korte tijd voor gegeven ID
        "500":
          content:
            application/json:
              example:
                progress: 100
                reason: Failed to generate download
                status: FAILED
              schema:
                properties:
                  progress:
                    type: integer
                  reason:
                    type: string
                  status:
                    type: string
                type: object
          description: Interne server fout
      summary: Dit endpoint geeft de status terug van een aangevraagde full custom
        download
      tags:
      - Full Custom
  /full/predefined/bgt-citygml-nl-nopbp.zip:
    get:
      operationId: GetFullPredefinedCitygmlNlNopbp
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path waarop het bestand gedownload kan worden
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes behalve plaatsbepalingspunten in citygml formaat
      tags:
      - Full Predefined
  /full/predefined/bgt-citygml-nl.zip:
    get:
      operationId: GetFullPredefinedCitygmlNl
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path to the download
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes in citygml formaat
      tags:
      - Full Predefined
  /full/predefined/bgt-gmllight-nl-nopbp.zip:
    get:
      operationId: GetFullPredefinedGmllightNlNopbp
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path to the download
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes behalve plaatsbepalingspunten in gmllight formaat
      tags:
      - Full Predefined
  /full/predefined/bgt-gmllight-nl.zip:
    get:
      operationId: GetFullPredefinedGmllightNl
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path to the download
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes in gmllight formaat
      tags:
      - Full Predefined
  /full/predefined/bgt-stufgeo-nl-nohist-nopbp.zip:
    get:
      operationId: GetExtractStufgeoNlNopbp
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path to the download
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes behalve plaatsbepalingspunten in stufgeo formaat
      tags:
      - Full Predefined
  /full/predefined/bgt-stufgeo-nl-nohist.zip:
    get:
      operationId: GetFullPredefinedStufgeoNl
      responses:
        "307":
          description: Redirect
          headers:
            Location:
              description: Absolute path to the download
        "404":
          description: Not found
      summary: |
        Download alle features van alle featuretypes in stufgeo formaat
      tags:
      - Full Predefined
  /health-download:
    get:
      operationId: healthDownload
      responses:
        "200":
          description: Check succesvol
        "403":
          description: Forbidden
        "500":
          description: Internal Server Error
      summary: |
        Voor intern-PDOK gebruik: Met dit endpoint kan een test download aangemaakt worden voor het testen van de downloadservices.
      tags:
      - Health check
servers:
- url: https://api.pdok.nl/lv/bgt/download/v1_0
